TKN-TASKRUN-LOGS(1)

NAME

tkn-taskrun-logs - Show TaskRuns logs

SYNOPSIS

tkn taskrun logs

DESCRIPTION

Show TaskRuns logs

OPTIONS

-a, --all[=false]
    show all logs including init steps injected by tekton

-f, --follow[=false]
    stream live logs

-F, --fzf[=false]
    use fzf to select a TaskRun

-h, --help[=false]
    help for logs

-L, --last[=false]
    show logs for last TaskRun

--limit=5
    lists number of TaskRuns

--prefix[=true]
    prefix each log line with the log source (step name)

-s, --step=[]
    show logs for mentioned steps only

-t, --timestamps[=false]
    show logs with timestamp

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Show the logs of TaskRun named 'foo' from the namespace 'bar':

    tkn taskrun logs foo -n bar

Show the live logs of TaskRun named 'foo' from namespace 'bar':

    tkn taskrun logs -f foo -n bar

Show the logs of TaskRun named 'microservice-1' for step 'build' only from namespace 'bar':

    tkn tr logs microservice-1 -s build -n bar

SEE ALSO

tkn-taskrun(1)